package ch.ethz.matsim.projects.astra_2018_002.shared_av.pricing;

public class OnlineSharedAVTravelCost implements SharedAVTravelCost {
	private final AVPricingListener taxiListener;
	private final AVPricingListener pooledListener;

	public OnlineSharedAVTravelCost(AVPricingListener taxiListener, AVPricingListener pooledListener) {
		this.taxiListener = taxiListener;
		this.pooledListener = pooledListener;
	}

	@Override
	public double getTravelCost(double distance_km, boolean isPooled) {
		if (isPooled) {
			return pooledListener.getPricePerKm() * distance_km;
		} else {
			return taxiListener.getPricePerKm() * distance_km;
		}
	}
}
