package ch.ethz.matsim.projects.astra_2018_002;

import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.io.File;
import java.util.Arrays;
import java.util.List;

import org.junit.jupiter.api.Test;

import ch.ethz.matsim.baseline_scenario.config.CommandLine.ConfigurationException;

public class RunScenarioTest {
	@Test
	void testBaseline() throws ConfigurationException {
		String scenarioPath = System.getenv("ASTRA_SCENARIO_PATH");
		assertNotNull(scenarioPath, "ASTRA_SCENARIO_PATH must be set as an environment variable");

		File scenarioFile = new File(scenarioPath);
		assertTrue(scenarioFile.isDirectory(), "Cannot find ASTRA scenario at " + scenarioFile.toString());

		List<String> args = Arrays.asList( //
				"--config-path", new File(scenarioFile, "switzerland_config.xml").toString(), //
				"--config:global.numberOfThreads", "4", //
				"--config:qsim.numberOfThreads", "4", //
				"--config:controler.lastIteration", "2" //
		);

		RunASTRA2018002.main((String[]) args.toArray());
	}
}
